Some Problems after upgrade to Seafile 9.0.4

Hi @all,

i have do a reinstall, new lxc container, setup like the manual.

At the moment, the server is running, but i have some problem ins the logs, i dont understand:

seafile.log

2022-04-11 19:27:45 ../common/seaf-utils.c(328): Use database sqlite
2022-04-11 19:27:45 http-server.c(195): fileserver: worker_threads = 10
2022-04-11 19:27:45 http-server.c(210): fileserver: fixed_block_size = 8388608
2022-04-11 19:27:45 http-server.c(225): fileserver: web_token_expire_time = 3600
2022-04-11 19:27:45 http-server.c(240): fileserver: max_indexing_threads = 1
2022-04-11 19:27:45 http-server.c(255): fileserver: max_index_processing_threads= 3
2022-04-11 19:27:45 http-server.c(277): fileserver: cluster_shared_temp_file_mode = 600
2022-04-11 19:27:45 http-server.c(2859): Could not bind socket: Address already in use

seafile-controller.log

2022-04-11 19:29:27 seafile-controller.c(82): spawn_process: seaf-server -F /seafile/conf -c /seafile/ccnet -d /seafile/seafile-data -l /seafile/logs/seafile.log -P /seafile/pids/seaf-server.pid -p /seafile/seafile-server-9.0.4/runtime
2022-04-11 19:29:27 seafile-controller.c(116): spawned seaf-server, pid 4581
2022-04-11 19:29:27 seafile-controller.c(458): path /proc/4315 doesn't exist, restart progress [3]
2022-04-11 19:29:27 seafile-controller.c(526): seafdav need restart...
2022-04-11 19:29:27 seafile-controller.c(82): spawn_process: /usr/bin/python3 -m wsgidav.server.server_cli --server gunicorn --root / --log-file /seafile/logs/seafdav.log --pid /seafile/pids/seafdav.pid --port 8080 --host 127.0.0.1
2022-04-11 19:29:27 seafile-controller.c(116): spawned /usr/bin/python3, pid 4582

seafdav.log:

2022-04-11 19:29:58.749 - <140199088148416> wsgidav.dc.seahub_db        WARNING :  Failed to init seahub db: module 'seahub_settings' has no attribute 'DATABASES'.
2022-04-11 19:29:58.755 - <140199088148416> wsgidav.wsgidav_app         INFO    :  WsgiDAV/3.0.4 Python/3.9.7 Linux-5.16.18-200.fc35.x86_64-x86_64-with-glibc2.34
2022-04-11 19:29:58.756 - <140199088148416> wsgidav.wsgidav_app         INFO    :  Lock manager:      LockManager(LockStorageDict)
2022-04-11 19:29:58.756 - <140199088148416> wsgidav.wsgidav_app         INFO    :  Property manager:  None
2022-04-11 19:29:58.756 - <140199088148416> wsgidav.wsgidav_app         INFO    :  Domain controller: SeafileDomainController()
2022-04-11 19:29:58.756 - <140199088148416> wsgidav.wsgidav_app         INFO    :  Registered DAV providers by route:
2022-04-11 19:29:58.756 - <140199088148416> wsgidav.wsgidav_app         INFO    :    - '/:dir_browser': FilesystemProvider for path '/seafile/seafile-server-9.0.4/seahub/thirdpart/wsgidav/dir_browser/htdocs' (Read-Only)
2022-04-11 19:29:58.756 - <140199088148416> wsgidav.wsgidav_app         INFO    :    - '/': SeafileProvider for Seafile (Read-Write)
2022-04-11 19:29:58.756 - <140199088148416> wsgidav.wsgidav_app         WARNING :  Basic authentication is enabled: It is highly recommended to enable SSL.
2022-04-11 19:29:58.756 - <140199088148416> wsgidav                     WARNING :  Could not import lxml: using xml instead (up to 10% slower). Consider `pip install lxml`(see https://pypi.python.org/pypi/lxml).
root@seafile:/seafile/logs# 

seahub.log:

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/seafile/seafile-server-9.0.4/seahub/thirdpart/django/core/handlers/exception.py", line 47, in inner
    response = get_response(request)
  File "/seafile/seafile-server-9.0.4/seahub/thirdpart/django/utils/deprecation.py", line 116, in __call__
    response = self.process_request(request)
  File "/seafile/seafile-server-9.0.4/seahub/seahub/auth/middleware.py", line 33, in process_request
    if request.user.is_authenticated and not request.user.is_active:
  File "/seafile/seafile-server-9.0.4/seahub/seahub/auth/middleware.py", line 23, in __get__
    request._cached_user = get_user(request)
  File "/seafile/seafile-server-9.0.4/seahub/seahub/auth/__init__.py", line 120, in get_user
    user = backend.get_user(username) or AnonymousUser()
  File "/seafile/seafile-server-9.0.4/seahub/seahub/base/accounts.py", line 572, in get_user
    user = self.get_user_with_import(username)
  File "/seafile/seafile-server-9.0.4/seahub/seahub/base/accounts.py", line 543, in get_user_with_import
    emailuser = ccnet_api.get_emailuser_with_import(username)
  File "/seafile/seafile-server-9.0.4/seafile/lib/python3/site-packages/seaserv/api.py", line 896, in get_emailuser_with_import
    return ccnet_threaded_rpc.get_emailuser_with_import(email)
  File "/seafile/seafile-server-9.0.4/seafile/lib/python3/site-packages/pysearpc/client.py", line 125, in newfunc
    ret_str = self.call_remote_func_sync(fcall_str)
  File "/seafile/seafile-server-9.0.4/seafile/lib/python3/site-packages/pysearpc/named_pipe.py", line 97, in call_remote_func_sync
    transport = self._get_transport()
  File "/seafile/seafile-server-9.0.4/seafile/lib/python3/site-packages/pysearpc/named_pipe.py", line 87, in _get_transport
    transport = self._create_transport()
  File "/seafile/seafile-server-9.0.4/seafile/lib/python3/site-packages/pysearpc/named_pipe.py", line 80, in _create_transport
    transport.connect()
  File "/seafile/seafile-server-9.0.4/seafile/lib/python3/site-packages/pysearpc/named_pipe.py", line 44, in connect
    self.pipe.connect(self.socket_path)
ConnectionRefusedError: [Errno 111] Connection refused
2022-04-11 19:26:08,658 [WARNING] django.request:224 log_response Bad Request: /api/v2.1/repos/366b0507-3c21-4f08-96ca-4d512b37d2a6/set-password/
root@seafile:/seafile/logs# 

I hope you can help me!

Cu

Alex